Subject: Re: Compression algorithms for DSP over SLIP/PPP

From: [email-masked] (Scott Doty)
Date: 29 Dec 1994 23:54:35 -0800

Adam W. Dace ([email-masked]) wrote:

[snip]
> ztalk uses GSM compression, and I've been wondering if there's anything
> better out there that I can get specs on *freely*.  I've poked through the
> FAQ here, albeit a bit quickly and haven't really found much of use.

> I'm by no means a good C programmer nor have I played with DSP much until
> recently.  If anyone could suggest whether GSM is the way to go, or not
> please let me know.  

There are two LPC libraries that I've got to work under Linux:

_[ snippet 1 ]_
   Ron  Frederick  ([email-masked])  of  Xerox PARC,
   Palo Alto, CA, contributed the LPC codec which is based on
   an implementation done by Ron Zuckerman
   ([email-masked]) of Motorola which was  posted  to
   the Usenet group comp.dsp on 26 June 1992.
 _ _ _ _
ftp from beta.xerox.com, /pub/net-research/lpc.tar.Z
616 bytes/second, appears to run real-time on a 386/33.  Speech
quality is...er..."usable."  :)

_[ snippet 2]_
              U.S. Department of Defense
             LPC-10 2400 bps Voice Coder
                   Release 1.0
                   October 1993
 _ _ _ _
ftp from dspsun.eas.asu.edu, in /pub/speech
Better audio quality, but seems to be more CPU intensive.

I've used the former to implement a general-purpose audio tool,
which will compress and transmit (using TCP) audio from a ulaw
source (including /dev/audio).  I use this to listen to audiocasts
over a PPP link.  (ftp.santarosa.edu, pub/Linux/vot/zvot-0.81.tar.gz).

Hopefully, this signal, and not noise...

 -Scott